## GgitBlobOutputStream GgitBlobOutputStream |

## Synopsis

                        GgitBlobOutputStream;
    struct              GgitBlobOutputStreamClass;
    GgitOId *           ggit_blob_output_stream_get_id      (GgitBlobOutputStream *stream,
                                                             GError **error);

## Object Hierarchy

      GObject
       +----GOutputStream
             +----GgitBlobOutputStream

## Properties

      "repository"               GgitRepository*       : Write / Construct Only

## Description

## Details

### GgitBlobOutputStream

    typedef struct _GgitBlobOutputStream GgitBlobOutputStream;

Represents a blob stream object.

### struct GgitBlobOutputStreamClass

    struct GgitBlobOutputStreamClass {
    };

The class structure for GgitBlobOutputStreamClass.

### ggit_blob_output_stream_get_id ()

    GgitOId *           ggit_blob_output_stream_get_id      (GgitBlobOutputStream *stream,
                                                             GError **error);

Get the id of the written blob. The blob id is only available after the stream has been properly closed. If an error occurred while writing the blob, the `NULL` is returned and `error` is set accordingly.

`stream` : | a GgitBlobOutputStream.
`error` : | a GError for error reporting, or `NULL`.
Returns : | a GgitOId or `NULL`. [transfer full]

## Property Details

### The `"repository"` property

      "repository"               GgitRepository*       : Write / Construct Only

Repository.